package cn.sikey.mcdisk.enums;

/**
 * @Author: nelson
 * @Date: 2025/5/29
 * @Description: 移动云地址
 */
public enum ApiEndpointsEnum {

    // 获取加密串
    GET_ENCRYPTION_STRING("/open-mpplatform/oauth2/getEncryptionString"),

    // 获取用户家庭云列表
    QUERY_FAMILY_CLOUD("/richlifeApp/devapp/andAlbum/openApi/queryFamilyCloud"),

    // 创建家庭云
    CREATE_FAMILY_CLOUD("/richlifeApp/devapp/andAlbum/openApi/createFamilyCloud"),

    // 查询家庭云下的相册列表
    QUERY_CLOUD_PHOTO("/richlifeApp/devapp/andAlbum/openApi/queryCloudPhoto"),

    // 创建家庭云相册
    CREATE_CLOUD_PHOTO("/richlifeApp/devapp/andAlbum/openApi/createCloudPhoto"),

    // 邀请用户加入家庭云（链接模式）
    INVITE_FAMILY_MEMBER("/richlifeApp/devapp/andAlbum/openApi/inviteFamilyMember"),

    // 确认邀请
    CONFIRM_INVITATION("/richlifeApp/devapp/andAlbum/openApi/confirmInvitation"),

    // 查询家庭云相册内容列表V3
    QUERY_CONTENT_INFO_V3("/richlifeApp/devapp/andAlbum/openApi/queryContentInfoV3"),

    // 下载家庭云文件
    GET_FILE_DOWN_LOAD_URL("/richlifeApp/devapp/andAlbum/openApi/getFileDownLoadURL"),

    // 上传文件到家庭云
    GET_FILE_UPLOAD_URL("/richlifeApp/devapp/andAlbum/openApi/getFileUploadURL"),

    // 删除家庭云文件
    DELETE_CONTENTS("/richlifeApp/devapp/andAlbum/openApi/deleteContents"),

    // 中间页接入方式获取用户凭证oauth2/accessToken1
    ACCESS_TOKEN1("/open-mpplatform/oauth2/accessToken1"),

    // 刷新Token oauth2/refreshToken
    REFRESH_TOKEN("/open-mpplatform/oauth2/refreshToken"),
    ;


    private final String path;

    ApiEndpointsEnum(String path) {
        this.path = path;
    }

    public String getPath() {
        return path;
    }
}
